Subject: Re: [PATCH 1/3] git-pack-objects: Automatically pack annotated tags if object was packed

From: Johannes Sixt <[email-masked]>
Date: Tue, 04 Mar 2008 08:27:22 +0100

Shawn O. Pearce schrieb:
> Nicolas Pitre <[email-masked]> wrote:
>> On Mon, 3 Mar 2008, Shawn O. Pearce wrote:
>>
>>> The new option "--auto-follow-tags" allows the caller to request that
>>> any annotated tag be included into the packfile if the object the tag
>>> references was also included as part of the packfile.
>> Wouldn't "auto-include-tag" a better name for this option?
> 
> Ooooh.  Indeed it would!
> 
> I shall respin this series based around this better name.

More bikeshedding: Why are you calling it "auto-"? If I tell the program
to "--include-tags", I expect it to happen automatically.

-- Hannes